Bug 474750 - hvm guest hang in EFI when reboot after installation completed
hvm guest hang in EFI when reboot after installation completed
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.9
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 00:54 EST by Bear
Modified: 2008-12-23 12:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-16 10:51:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot when hang in EFI (15.03 KB, image/png)
2008-12-05 01:03 EST, Bear
no flags Details
ScreenShot with ls command output (17.42 KB, image/png)
2008-12-05 01:43 EST, Bear
no flags Details

  None (edit)
Description Bear 2008-12-05 00:54:00 EST
Description of problem:
hvm guest hang in EFI when reboot after installation completed.

Version-Release number of selected component (if applicable):
The packages version of Host(RHEL5.2-Server-released) is below:
xen-3.0.3-64.el5_2.1
kernel-xen-2.6.18-92.el5
xen-ia64-guest-firmware-1.0.13-1

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL5.2-Server-released on ia64 with virtualization enabled.
2. install package xen-ia64-guest-firmware if not installed (contains
hvmloader/efi ?)
3. create a virtual guest using full firtualization(hvm) with the RHEL3.9-Server-released RHELtree. I used the boot.iso file.
4. You are placed in EFI shell after installation of hvm is completed.
5. type fs0: and the ls with error. please get details from attachment.
6. The only way to bootup hvm is type "map -r" in EFI shell then boot the hvm manually though EFI.
  
Actual results:
ls/dir: Cannot open current directory - No mapping.

Expected results:
List of boot menu and boot hvm aotomatically.

Additional info:
The only way to bootup hvm is type "map -r" in EFI shell and then boot the hvm manually though command "elilo" in EFI.
Comment 1 Bear 2008-12-05 01:03:00 EST
Created attachment 325803 [details]
Screen shot when hang in EFI
Comment 2 Bear 2008-12-05 01:43:44 EST
Created attachment 325806 [details]
ScreenShot with ls command output

Note You need to log in before you can comment on or make changes to this bug.